# Argument 1 = Reaction file
# Argument 2 = Output Singlet Dependency Graph file
# Argument 3 = Output Doublet Dependency Graph file

#Arguments = 
#	1) numIterations
#	2) JobName
#	3) ReactionFileName
#	4) SpeciesFileName
#	5) SingletDependencyGraphFileName
#	6) DoubletDependencyGraphFileName

echo "ODM_SCRIPT RUNNING!!!"

for jobName in "JobA" "JobB" "JobC" "JobD" "JobE" "JobF"
do
rxnFile="Data/"$jobName"/"$jobName"_Post_Sorted_TE.dat"
chemFile="Data/"$jobName"/"$jobName"_Post_Species_Interm_File.dat"
depSingletFile="Data/"$jobName"/"$jobName"_Post_SingletDependencyGraph_File.dat"
depDoubletFile="Data/"$jobName"/"$jobName"_Post_DoubletDependencyGraph_File.dat"

./ODM/PARSER $rxnFile $depSingletFile $depDoubletFile

maxNumIterations="10000000"
maxSimTime="100000000"
outputChemNumber="0"

for seed in "1" "2" "3" "4" "5" "6" "7" "8" "9" "10"
do
./ODM/ODM $maxNumIterations $outputChemNumber $rxnFile $chemFile $depSingletFile $depDoubletFile $seed $maxSimTime
done
done
exit 0

